Subject: bug#45915: closed (Re: bug#45915: 28.2; delete-char deletes two letters)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Sep 2022 06:03:02 +0000

Your bug report

#45915: 27.1; deletechar distorts org-table

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45915: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=45915
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45915: 28.2; delete-char deletes two letters
From: Eli Zaretskii <[email-masked]>
To: Tak Kunihiro <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 23 Sep 2022 09:02:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 23 Sep 2022 06:36:58 +0900 (JST)
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: Tak Kunihiro <[email-masked]>
> 
> >>> One other possibility is to use a slightly different :relative-width
> >>> factor for the two spaces in a table cell: one with the value of 1,
> >>> the other with 1.001 (say).  They will be indistinguishable on
> >>> display, but since the values are not equal, both stretch gfyphs will
> >>> be displayed, not just one.
> >> 
> >> This is a good idea. I used it to fix the reported issue.
> >> 
> >> Fixed on main.
> > 
> > Great.  So I guess this bug report can be closed?
> 
> Nice. Yes, please close this bug report.

Thanks, done.

Subject: 27.1; deletechar distorts org-table
From: Tak Kunihiro <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 16 Jan 2021 17:01:34 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using emacs 27.1 with orgtbl-mode.  On certain condition, typing
<deletechar> distorts alighment of a table.  Then, typing <up> moves
previous line but far right position.

|   | rownames |     |   | rownames |
| / | <l>      |     | / | <l>      |
|---+----------| ->  |---+----------|
| / | a        |     |  | a        |

Here is a recipe to reproduce the glitch started from emcas -Q.  I
hope that together with bug#45091, this would be fixed before 27.2.

1. Create a buffer with (text-mode) and yank following table.

|   | rownames |
| / | <l>      |
|---+----------|
|   | a        |

2. (progn (require 'org) (call-interactively 'orgtbl-mode))
3. Move point to the first column and the third line with letter 'a'.
4. Hit <S-return>.
5. Hit <deletechar>.
6. Hit <up>.